Doc #76401 [NEW]: DateTime: constants moved into DateTimeInterface
From: salsi at icosaedro dot it
Operating system:
PHP version: Irrelevant
Package: Documentation problem
Bug Type: Documentation Problem
Bug description:DateTime: constants moved into DateTimeInterface
Description:
------------
Since PHP 7.2.0 constants that where defined in DateTime moved to
DateTimeInterface, see FR #71520 and PHP 7.2.0 ChangeLog:
$ php -r "echo PHP_VERSION;"
7.2.4
$ php -r "ReflectionClass::export('DateTimeInterface');"
Interface [ <internal:date> interface DateTimeInterface ] {
- Constants [13] {
Constant [ public string ATOM ] { Y-m-d\TH:i:sP }
Constant [ public string COOKIE ] { l, d-M-Y H:i:s T }
Constant [ public string ISO8601 ] { Y-m-d\TH:i:sO }
Constant [ public string RFC822 ] { D, d M y H:i:s O }
Constant [ public string RFC850 ] { l, d-M-y H:i:s T }
Constant [ public string RFC1036 ] { D, d M y H:i:s O }
Constant [ public string RFC1123 ] { D, d M Y H:i:s O }
Constant [ public string RFC7231 ] { D, d M Y H:i:s \G\M\T }
Constant [ public string RFC2822 ] { D, d M Y H:i:s O }
Constant [ public string RFC3339 ] { Y-m-d\TH:i:sP }
Constant [ public string RFC3339_EXTENDED ] { Y-m-d\TH:i:s.vP }
Constant [ public string RSS ] { D, d M Y H:i:s O }
Constant [ public string W3C ] { Y-m-d\TH:i:sP }
}
...
--
Edit bug report at https://bugs.php.net/bug.php?id=76401&edit=1
--
Try a snapshot (PHP 5.4): https://bugs.php.net/fix.php?id=76401&r=trysnapshot54
Try a snapshot (PHP 5.5): https://bugs.php.net/fix.php?id=76401&r=trysnapshot55
Try a snapshot (trunk): https://bugs.php.net/fix.php?id=76401&r=trysnapshottrunk
Fixed in SVN: https://bugs.php.net/fix.php?id=76401&r=fixed
Fixed in release: https://bugs.php.net/fix.php?id=76401&r=alreadyfixed
Need backtrace: https://bugs.php.net/fix.php?id=76401&r=needtrace
Need Reproduce Script: https://bugs.php.net/fix.php?id=76401&r=needscript
Try newer version: https://bugs.php.net/fix.php?id=76401&r=oldversion
Not developer issue: https://bugs.php.net/fix.php?id=76401&r=support
Expected behavior: https://bugs.php.net/fix.php?id=76401&r=notwrong
Not enough info: https://bugs.php.net/fix.php?id=76401&r=notenoughinfo
Submitted twice: https://bugs.php.net/fix.php?id=76401&r=submittedtwice
register_globals: https://bugs.php.net/fix.php?id=76401&r=globals
PHP 4 support discontinued: https://bugs.php.net/fix.php?id=76401&r=php4
Daylight Savings: https://bugs.php.net/fix.php?id=76401&r=dst
IIS Stability: https://bugs.php.net/fix.php?id=76401&r=isapi
Install GNU Sed: https://bugs.php.net/fix.php?id=76401&r=gnused
Floating point limitations: https://bugs.php.net/fix.php?id=76401&r=float
No Zend Extensions: https://bugs.php.net/fix.php?id=76401&r=nozend
MySQL Configuration Error: https://bugs.php.net/fix.php?id=76401&r=mysqlcfg
Thread (3 messages)
- salsi at icosaedro dot it